%define         tarversion  1_1
%define         tarname     Xalan-C_%{tarversion}
%define		packname	xml-xalan
%define 	name xalan-c
%define 	major 1
%define		version 1.1
%define		release 8mdk

Summary: 		An XSLT Transformation Engine in C++
Name: 			%{name}
Version: 		%{version}
Release: 		%{release}
License: 		Apache License
Group: 			Development/Other
Source: 		http://xml.apache.org/dist/xalan-c/%{tarname}-linux.tar.bz2
Patch0: 			xalan-c.patches
Patch1: 		xalan-c-no_static_instances_for_g++-patch.bz2
Patch2: 		xalan-c.make-class-public-to-be-accessible.patch.bz2
Patch3: 		xalan-c.trace-listener-cast-to-char-for-ambiguity.patch.bz2
Patch4:			xalan-c-xerces_include_in_right_dir_and_add_soname.patch.bz2
Patch5:			xalan-c-ppc-alpha-sparc.patch.bz2
URL: 			http://xml.apache.org/xalan-c/
BuildRoot: 		%{_tmppath}/%{name}-root
BuildRequires: 		xerces-c-devel >= 1.5.0

%description 
Xalan is an XSL processor for transforming XML documents
into HTML, text, or other XML document types. Xalan-C++ represents an
almost complete and a robust C++ reference implementation of the W3C
Recommendations for XSL Transformations (XSLT) and the XML Path
Language (XPath).

%package -n lib%{name}%{major}
Group: Development/Other
Summary: Library for an XSLT Transformation Engine in C++
Obsoletes: xalan-c <= xalan-c-1.1-4mdk

%description -n lib%{name}%{major}
Library for xalan-c

%package -n lib%{name}%{major}-devel
Requires:       libxalan-c%{major} = %{version}
Group:          Development/Other
Summary:        Developpement files for XSLT Transformation Engine
Provides:	xalan-c-devel = %{version}, libxalan-c-devel = %{version}
Obsoletes: 	xalan-c-devel

%description -n lib%{name}%{major}-devel
Xalan is an XSL processor for transforming XML documents
into HTML, text, or other XML document types. Xalan-C++ represents an
almost complete and a robust C++ reference implementation of the W3C
Recommendations for XSL Transformations (XSLT) and the XML Path
Language (XPath).

%package doc
Group:          Development/Other
Summary:        Online manual for Xalan-C, XSLT Transformation Engine

%description doc
Documentation for Xalan-C, viewable through your web server, too!

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q -n %{packname}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1 -b .warly
%patch5 -p1

%build
rm -f c/bin/*
rm -f c/lib/*
export XALANCROOT=${RPM_BUILD_DIR}/%{packname}
export XERCESCROOT=/usr/include/xerces
cd $XALANCROOT/c/src
chmod +x ./configure
%configure
%make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/var/www/html/manual/%{name}
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/DOMSupport
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/Include
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/PlatformSupport
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/XercesPlatformSupport
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/XercesParserLiaison
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/XPath
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/XMLSupport
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/XSLT
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/XalanTransformer
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/XalanDOM
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/XalanSourceTree
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/lib

install --mode=0755 lib/* ${RPM_BUILD_ROOT}/usr/lib
install --mode=0755 bin/test* ${RPM_BUILD_ROOT}/usr/bin
ln -s testXSLT ${RPM_BUILD_ROOT}/usr/bin/xsl-c
ln -s testXPath ${RPM_BUILD_ROOT}/usr/bin/xpath-c

install --mode=0644 c/src/XalanTransformer/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XalanTransformer
install --mode=0644 c/src/XalanTransformer/*.h ${RPM_BUILD_ROOT}/usr/include/xalan/XalanTransformer

install --mode=0644 c/src/DOMSupport/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/DOMSupport
install --mode=0644 c/src/Include/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/Include
install --mode=0644 c/src/PlatformSupport/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/PlatformSupport
# install --mode=0644 c/src/XercesPlatformSupport/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XercesPlatformSupport
install --mode=0644 c/src/XercesParserLiaison/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XercesParserLiaison
install --mode=0644 c/src/XPath/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XPath
install --mode=0644 c/src/XMLSupport/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XMLSupport
install --mode=0644 c/src/XSLT/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XSLT
install --mode=0644 c/src/XalanDOM/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XalanDOM
install --mode=0644 c/src/XalanSourceTree/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XalanSourceTree

cd ${RPM_BUILD_ROOT}/usr/lib/
ln -sf lib%{name}.so.%{version} lib%{name}.so.%{major}
ln -sf lib%{name}.so.%{major} lib%{name}.so

%post -n lib%{name}%{major} -p /sbin/ldconfig

%postun -n lib%{name}%{major} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*

%files -n lib%{name}%{major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n lib%{name}%{major}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/xalan/*

%files doc
%defattr(644 root root 755)
%doc License readme.html c/docs/

%changelog
* Mon Jul 16 2001 Philippe Libat <philippe@mandrakesoft.com> 1.1-8mdk
- include

* Mon Jul 16 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1-7mdk
- use standard %%configure and %%make macros
- Patch5: support for alpha, ppc, and sparc endian defines
- use setup -q

* Mon Jul  2 2001 Warly <warly@mandrakesoft.com> 1.1-6mdk
- fix some rpmlint errors

* Tue Jun 26 2001 Warly <warly@mandrakesoft.com> 1.1-5mdk
- libification

* Tue Jun 26 2001 Warly <warly@mandrakesoft.com> 1.1-3mdk
- rebuild against new xerces-c

* Thu May  3 2001  <warly@mandrakesoft.com> 1.1-2mdk
- recompile with opt-flags (no more memory needed)

* Wed May  2 2001  <warly@mandrakesoft.com> 1.1-1mdk
- new version (need 1GB of ram to build)

* Sun Jan 07 2001 Warly <warly@mandrakesoft.com> 1.0-1mdk
- new version

* Mon Oct 02 2000 Henri Gomez <hgomez@slib.fr>
- xalan-c 0.40.0
- Initial RPM release
- documentation go in a new package doc (comme xalan-j)
- fixed bad soname (many patches around Makefiles)
- compiled on Redhat 6.1 with updates

